Bug 9109 - мусор в консоли
: мусор в консоли
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/service)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-18 03:15 by
Modified: 2011-01-22 15:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-18 03:15:02
При старте в консоли мусор:
Mounting proc filesystem: /etc/init.d/functions: line 547: echo: write error:
Broken pipe  [DONE]
Mounting sys  filesystem: /etc/init.d/functions: line 547: echo: write error:
Broken pipe  [DONE]
Activating swap partitions: /etc/init.d/functions: line 547: echo: write error:
Broken pipe [DONE]
Setting hostname sass.frontier: /etc/init.d/functions: line 547: echo: write
error: Broken pipe [DONE]
Checking root filesystem /dev/hda2: clean, 124298/611648 files, 961710/1220940
blocks
/etc/init.d/functions: line 547: echo: write error: Broken pipe [DONE] 
Remounting root filesystem in read/write mode: /etc/init.d/functions: line 547:
echo: write error: Broken pipe [DONE]
------- Comment #1 From 2006-02-18 03:24:29 -------
/sbin/initlog упал?  Почему?
------- Comment #2 From 2006-02-18 03:54:30 -------
Хороший вопрос. Вот и мне хотелось бы знать кто упал и почему. Это уже довольно
давно наблюдается. Месяца два наверное. Написать было некогда.
------- Comment #3 From 2006-03-24 08:32:27 -------
У меня та же самая беда. Расскажите, в каком месте запускается этот initlog и
куда он пытается писать - может я попробую поковырять это сам.
------- Comment #4 From 2006-03-24 08:43:26 -------
На всякий случай, история жизни этой системы:

1) Поставили древнюю бету Компакта
2) Удалили все, что было возможно
3) Обновили до Сизифа
4) Перетянули на RAID1/LVM2
5) Проблема начала появляться эпизодически, но я ее связал с тем, что сильно
изуродовал rc.sysinit - как потом выяснилось зря
6) Обновили еще раз и словили проблемы с правами на /lib (об этом я недавно
писал), а текущая проблема стала воспроизводиться регулярно
7) После вчерашнего обновления и отката на стандартный rc.sysinit проблема не
решилась
------- Comment #5 From 2006-03-24 09:33:03 -------
Еще вопрос: а почему решили, что виноват initlog? Вот кусок кода, в
окрестностях
которого проблема:

# Log that something succeeded
success()
{
    if [ -z "$IN_INITLOG" ]; then
        initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
    else
        local opipe
        opipe="$(trap -p SIGPIPE)"
        trap '' SIGPIPE
        echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
        $opipe
    fi
    echo_success
    return 0
}

Т.е. если переменная IN_INITLOG пуста, производится запись в некий дескриптор
12
(кто это? почему так жестко в коде прошили? может переменную хотя бы стоило
завести, чтоб понятно было что это такое?)

Далее видим:

# Remount the root filesystem read-write
splash_update remount 2
action "Remounting root filesystem in read/write mode:" mount -n -o remount,rw
/

# The root filesystem is now read-write, so we can now log via syslog()
directly
[ -z "$IN_INITLOG" ] || IN_INITLOG= 

Если обнулить IN_INITLOG в самом начале, то и ругательств никаких не будет. Но
ведь в IN_INITLOG=yes, наверное, есть какой-то смысл? Какой?
------- Comment #6 From 2006-03-30 18:57:09 -------
То, что падает initlog, очевидно.
То, что он не должен падать, тоже очевидно.
Неясно, почему он падает.
Может, устройство какое-то во время работы исчезает?
------- Comment #7 From 2006-03-30 22:48:19 -------
У меня это происходит на начальном этапе загрузки системы до загрузки сервисов.
------- Comment #8 From 2006-03-30 23:10:22 -------
Прошу прощения - соврал!
Предыдущий постинг прощу считать недействительным!  
------- Comment #9 From 2007-03-24 01:47:33 -------
Алексей, ты это, кажется, тоже умеешь воспроизводить?
------- Comment #10 From 2007-03-24 01:48:43 -------
*** Bug 8870 has been marked as a duplicate of this bug. ***
------- Comment #11 From 2007-03-24 15:25:18 -------
(In reply to comment #9)
> Алексей, ты это, кажется, тоже умеешь воспроизводить?

Да. Я делал образ на котором эта ошибка воспроизводилась на 100%
ASSIGNED?
------- Comment #12 From 2008-06-06 02:03:11 -------
(In reply to comment #11)
> (In reply to comment #9)
> > Алексей, ты это, кажется, тоже умеешь воспроизводить?
> 
> Да. Я делал образ на котором эта ошибка воспроизводилась на 100%

Профиль сохранился?

------- Comment #13 From 2008-06-06 02:11:51 -------
Посмотри на дату моего поста :) ... разумеется нет. Это из прошлой жизни, когда
я делал Серверные исошки. Можно попробовать исошку из среза за ту дату и
попробовать воспроизвести. Попроси спецов по выпечке дистров сделать это. У
меня
воспроизводилось довольно регулярно.
------- Comment #14 From 2008-06-06 13:59:33 -------
Кто умеет воспроизводить этот баг?
------- Comment #15 From 2008-06-06 14:16:45 -------
я такого не видел.
------- Comment #16 From 2011-01-22 15:28:16 -------
Невозможно воспроизвести, закрываю как WONTFIX. При необходимости откройте.